#!/usr/bin/python
# -*- coding: UTF-8 -*-
###########################################################################
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# setup.py
#  
# script d'installation de la librairie eolesso
#       
###########################################################################

from distutils.core import setup
import os, glob

DATA_DIR =  '/usr/share'

data = [('/etc/init.d/', glob.glob('init/*'))]
data.append(('/etc/logrotate.d/', ['logrotate/eole-sso']))
data.append(('/etc/eole/dicos/', glob.glob('dicos/*.xml')))
data.append(('/etc/eole/distrib/', glob.glob('tmpl/*')))
for lang in os.listdir('i18n'):
    if not lang.startswith('.'):
        data.append(('/usr/share/locale/%s/LC_MESSAGES' % lang, glob.glob('i18n/%s/LC_MESSAGES/*.mo' % lang)))
# listing recursif du rep eole
rep = os.walk('sso')
for localdir, rep, files in rep:
    if files != []:
        localfiles = []
        for f in files :
            localfiles.append(os.path.join(localdir, f))
        data.append((os.path.join(DATA_DIR, localdir), localfiles))

setup(
    author='eole',
    author_email='eole@ac-dijon.fr',
    name='eole-sso',
    version='1.0',
    description='SSO pour les module Eole',
    url='http://www.eole.orion.education.fr',
    packages=['eolesso','saml2','xmldsig'],
    data_files = data
)

